\ProvidesClass{hzguide}[2012/03/14]

\RequirePackage{xkeyval}
\RequirePackage{kvoptions}

\DeclareOptionX*{
	\PassOptionsToClass{\CurrentOption}{memoir}
	%\PassOptionsToClass{showtrims}{memoir}
	}
\ProcessOptionsX
\LoadClass{memoir}

\define@key{hzguide}{language}{\PassOptionsToPackage{\CurrentOption}{hzlang}}
\define@key{hzguide}{styleset}{\def\StyleSet{#1}}
\ProcessKeyvalOptions{hzguide}

\RequirePackage{hzlang}
\RequirePackage{hzlayout}
\RequirePackage{hzillust}
\RequirePackage{hzheading}
\RequirePackage{hzmisc}

\@ifundefined{StyleSet}{}{\input{\StyleSet}}
\endinput